Bug 240238 - wrong permissions on /usr/include/gstreamer-0.10/gst/*
wrong permissions on /usr/include/gstreamer-0.10/gst/*
Product: Fedora
Classification: Fedora
Component: gstreamer-plugins-base (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Depends On:
  Show dependency treegraph
Reported: 2007-05-15 17:54 EDT by Ben Liblit
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-18 14:40:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ben Liblit 2007-05-15 17:54:45 EDT
+++ This bug was initially created as a clone of Bug #211802 +++

Description of problem:

Version-Release number of selected component (if applicable):


How reproducible:

Consistently reproducible.

Steps to Reproduce:
1. remove the gstreamer-plugins-base-devel rpm
2. manually remove
3. reinstall the gstreamer-plugins-base-devel rpm
4. as non-root, compile any C program that uses gstreamer-plugins-base-devel headers

Actual results:

Compilation fails due to insufficient permissions on one or more of the
following /usr/include/gstreamer-0.10/gst subdirectories:


Expected results:

Compilation should succeed.  Subdirectories containing
gstreamer-plugins-base-devel's headers
should be world readable and world executable.

Additional info:

The gstreamer-plugins-base-devel package does not claim to own the affected
subdirectories, though it does claim ownership of the headers in these
directories.  These directories are created at package install time, but with
permissions that do not allow access by non-root users.  Incidentally, this will
also cause the directory to be left behind, empty, should
gstreamer-plugins-base-devel be uninstalled later.
Comment 1 Adam Jackson 2007-05-18 14:40:49 EDT
Fixed in 0.10.12-3.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.